<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Main.aspx.cs" Inherits="JRAPI.Admin.Main" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" class="off">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=gbk" />
<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7" />
<title>API支付系统-后台管理中心</title>
    <link href="statics/css/reset.css" rel="stylesheet" type="text/css" />
    <link href="statics/css/zh-cn-system.css" rel="stylesheet" type="text/css" />
    <link href="statics/css/dialog.css" rel="stylesheet" type="text/css" />
    <link href="statics/css/table_form.css" rel="stylesheet" type="text/css" />
    <link rel="stylesheet" type="text/css" href="statics/css/style/zh-cn-styles1.css" title="styles1" media="screen" />
    <link rel="alternate stylesheet" type="text/css" href="statics/css/style/zh-cn-styles2.css" title="styles2" media="screen" />
    <link rel="alternate stylesheet" type="text/css" href="statics/css/style/zh-cn-styles3.css" title="styles3" media="screen" />
    <link rel="alternate stylesheet" type="text/css" href="statics/css/style/zh-cn-styles4.css"  title="styles4" media="screen" />
    <script language="javascript" type="text/javascript" src="statics/js/jquery.min.js"></script>
    <script language="javascript" type="text/javascript" src="statics/js/styleswitch.js"></script>
    <script language="javascript" type="text/javascript" src="statics/js/jquery.artDialog.source.js"></script>
    <script language="javascript" type="text/javascript" src="statics/js/hotkeys.js"></script>
    <script language="javascript" type="text/javascript" src="statics/js/jquery.sgallery.js"></script>
    <script language="javascript" type="text/javascript" src="statics/js/styleswitch.js"></script>
    <script language="javascript" type="text/javascript" src="statics/js/formvalidator.js" charset="UTF-8"></script>
<script language="javascript" type="text/javascript" src="statics/js/formvalidatorregex.js" charset="UTF-8"></script>

</head>
<body scroll="no" class="objbody">
<div id="dvLockScreen" class="ScreenLock" style="display:none">
    <div id="dvLockScreenWin" class="inputpwd">
    <h5><b class="ico ico-info"></b><span id="lock_tips">锁屏状态，请输入密码解锁</span></h5>
    <div class="input">
    	<label class="lb">密码：</label><input type="password" id="lock_password" class="input-text" size="24">
        <input type="submit" class="submit" value="&nbsp;" name="dosubmit" onclick="check_screenlock();return false;">
    </div></div>
</div>
<div class="header">
	<div class="logo lf"><a href="" target="_blank"><span class="invisible">API支付系统</span></a></div>
    <div class="rt-col">
    	<div class="tab_style white cut_line text-r">
    <ul id="Skin">
		<li class="s1 styleswitch" rel="styles1"></li>
		<li class="s2 styleswitch" rel="styles2"></li>
		<li class="s3 styleswitch" rel="styles3"></li>
        <li class="s4 styleswitch" rel="styles4"></li>
	</ul>
        </div>
    </div>
    <div class="col-auto">
    	<div class="log white cut_line">您好！<%=AdminName %>  <span>|</span><a href="Logout.aspx">[退出]</a>
    	</div>
        <ul class="nav white" id="top_menu">
            <asp:Repeater ID="repMenu" runat="server">
                <ItemTemplate>
                <li id="_M<%# Eval("M_MenuID") %>" class="<%# Container.ItemIndex==0?"on ":"" %>top_menu"><a href="javascript:_M(<%# Eval("M_MenuID") %>,'<%# Eval("M_Url") %>')"
                    hidefocus="true" style="outline: none;"><%# Eval("M_Name")%></a></li>
                </ItemTemplate>
            </asp:Repeater>
        </ul>
    </div>
</div>
<div id="content">
	<div class="col-left left_menu">
    	<div id="Scroll"><div id="leftMain"></div></div>
        <a href="javascript:;" id="openClose" style="outline-style: none; outline-color: invert; outline-width: medium;" hideFocus="hidefocus" class="open" title="展开与关闭"><span class="hidden">展开</span></a>
    </div>
	<div class="col-1 lf cat-menu" id="display_center_id" style="display:none" height="100%">
	<div class="content">
        	<iframe name="center_frame" id="center_frame" src="" frameborder="false" scrolling="auto" style="border:none" width="100%" height="auto" allowtransparency="true"></iframe>
            </div>
        </div>
    <div class="col-auto mr8">
    <div class="crumbs">
    <div class="shortcut cu-span"><a href="javascript:_M(1,'Systematic/sysConfig.aspx')"><span>系统配置</span></a><a href="javascript:_M(45,'OrderForm/OrderSearch.aspx')"><span>订单管理</span></a></div>
    当前位置：<span id="current_pos">服务器基本信息</span></div>
    	<div class="col-1">
        	<div class="content" style="position:relative; overflow:hidden">
                <iframe name="right" id="rightMain" src="Admin_Body.aspx" frameborder="false" scrolling="auto" style="border:none; margin-bottom:30px" width="100%" height="auto" allowtransparency="true"></iframe>
                <div class="fav-nav">
					<div id="panellist">
                        <asp:Repeater ID="repFav" runat="server">
                        <ItemTemplate>
                            <span>
								<a onclick="paneladdclass(this);" target="right" href="<%# Eval("menuurl") %>"><%# Eval("menuname") %></a>
								<a class="panel-delete" href="javascript:delete_panel(<%# Eval("menuid") %>);"></a></span>
                        </ItemTemplate>
                        </asp:Repeater>
                    </div>
					<div id="paneladd"></div>
					<input type="hidden" id="menuid" value="" />
					<input type="hidden" id="bigid" value="" />
                    <div id="help" class="fav-help"></div>
				</div>
        	</div>
        </div>
    </div>
</div>
<div class="scroll"><a href="javascript:;" class="per" title="使用鼠标滚轴滚动侧栏" onclick="menuScroll(1);"></a><a href="javascript:;" class="next" title="使用鼠标滚轴滚动侧栏" onclick="menuScroll(2);"></a></div>
<script type="text/javascript">
    if (!Array.prototype.map)
        Array.prototype.map = function (fn, scope) {
            var result = [], ri = 0;
            for (var i = 0, n = this.length; i < n; i++) {
                if (i in this) {
                    result[ri++] = fn.call(scope, this[i], i, this);
                }
            }
            return result;
        };

    var getWindowSize = function () {
        return ["Height", "Width"].map(function (name) {
            return window["inner" + name] ||
	document.compatMode === "CSS1Compat" && document.documentElement["client" + name] || document.body["client" + name]
        });
    }
    window.onload = function () {
        if (! +"\v1" && !document.querySelector) { // for IE6 IE7
            document.body.onresize = resize;
        } else {
            window.onresize = resize;
        }
        function resize() {
            wSize();
            return false;
        }
    }
    function wSize() {
        //这是一字符串
        var str = getWindowSize();
        var strs = new Array(); //定义一数组
        strs = str.toString().split(","); //字符分割
        var heights = strs[0] - 150, Body = $('body'); $('#rightMain').height(heights);
        //iframe.height = strs[0]-46;
        if (strs[1] < 980) {
            $('.header').css('width', 980 + 'px');
            $('#content').css('width', 980 + 'px');
            Body.attr('scroll', '');
            Body.removeClass('objbody');
        } else {
            $('.header').css('width', 'auto');
            $('#content').css('width', 'auto');
            Body.attr('scroll', 'no');
            Body.addClass('objbody');
        }

        var openClose = $("#rightMain").height() + 39;
        $('#center_frame').height(openClose + 9);
        $("#openClose").height(openClose + 30);
        $("#Scroll").height(openClose - 20);
        windowW();
    }
    wSize();
    function windowW() {
        //        if ($('#Scroll').height() < $("#leftMain").height()) {
        //            $(".scroll").show();
        //        } else {
        //            $(".scroll").hide();
        //        }
    }
    windowW();
    //站点下拉菜单
    $(function () {
        var offset = $(".tab_web").offset();
        var tab_web_panel = $(".tab-web-panel");
        $(".tab_web").mouseover(function () {
            tab_web_panel.css({ "left": +offset.left + 4, "top": +offset.top + $('.tab_web').height() + 2 });
            tab_web_panel.show();
            if (tab_web_panel.height() > 200) {
                tab_web_panel.children("ul").addClass("tab-scroll");
            }
        });
        $(".tab_web span").mouseout(function () { hidden_site_list_1() });
        $(".tab-web-panel").mouseover(function () { clearh(); $('.tab_web a').addClass('on') }).mouseout(function () { hidden_site_list_1(); $('.tab_web a').removeClass('on') });
        //默认载入左侧菜单
        $("#leftMain").load("Menu.aspx?menuid=69");
        //$("#leftMain").html("dfsdfdsfds");
    })

    //左侧开关
    $("#openClose").click(function () {
        if ($(this).data('clicknum') == 1) {
            $("html").removeClass("on");
            $(".left_menu").removeClass("left_menu_on");
            $(this).removeClass("close");
            $(this).data('clicknum', 0);
            $(".scroll").show();
        } else {
            $(".left_menu").addClass("left_menu_on");
            $(this).addClass("close");
            $("html").addClass("on");
            $(this).data('clicknum', 1);
            $(".scroll").hide();
        }
        return false;
    });
    function _M(menuid, targetUrl) {
        $("#menuid").val(menuid);
        $("#bigid").val(menuid);
        $("#paneladd").html('<a class="panel-add" href="javascript:add_panel();"><em>添加</em></a>');
        $("#leftMain").load("Menu.aspx?menuid=" + menuid, { limit: 25 }, function () {
            windowW();
        });
        $("#rightMain").attr('src', targetUrl);
        $('.top_menu').removeClass("on");
        $('#_M' + menuid).addClass("on");
        $.get("Menu.aspx?action=current_pos&menuid=" + menuid, function (data) {
            $("#current_pos").html(data);
        });
        //当点击顶部菜单后，隐藏中间的框架
        $('#display_center_id').css('display', 'none');
        //显示左侧菜单，当点击顶部时，展开左侧
        $(".left_menu").removeClass("left_menu_on");
        $("#openClose").removeClass("close");
        $("html").removeClass("on");
        $("#openClose").data('clicknum', 0);
        $("#current_pos").data('clicknum', 1);
    }
    function _MP(menuid, targetUrl) {
        $("#menuid").val(menuid);
        $("#paneladd").html('<a class="panel-add" href="javascript:add_panel();"><em>添加</em></a>');

        $("#rightMain").attr('src', targetUrl);
        $('.sub_menu').removeClass("on fb blue");
        $('#_MP' + menuid).addClass("on fb blue");
        $.get("Menu.aspx?action=current_pos&menuid=" + menuid, function (data) {
            $("#current_pos").html(data + '<span id="current_pos_attr"></span>');
        });
        $("#current_pos").data('clicknum', 1);
    }
    function add_panel() {
        var menuid = $("#menuid").val();
        $.ajax({
            type: "POST",
            url: "Menu.aspx?action=ajax_add_panel",
            data: "menuid=" + menuid,
            success: function (data) {
                if (data) {
                    $("#panellist").html(data);
                }
            }
        });
    }
    function delete_panel(menuid, id) {
        $.ajax({
            type: "POST",
            url: "Menu.aspx?action=ajax_delete_panel",
            data: "menuid=" + menuid,
            success: function (data) {
                $("#panellist").html(data);
            }
        });
    }
    function paneladdclass(id) {
        $("#panellist span a[class='on']").removeClass();
        $(id).addClass('on')
    }
    setInterval("session_life()", 160000);
    function session_life() {
        $.get("?m=admin&c=index&a=public_session_life");
    }

    (function () {
        var addEvent = (function () {
            if (window.addEventListener) {
                return function (el, sType, fn, capture) {
                    el.addEventListener(sType, fn, (capture));
                };
            } else if (window.attachEvent) {
                return function (el, sType, fn, capture) {
                    el.attachEvent("on" + sType, fn);
                };
            } else {
                return function () { };
            }
        })(),
    Scroll = document.getElementById('Scroll');
        // IE6/IE7/IE8/Opera 10+/Safari5+
        addEvent(Scroll, 'mousewheel', function (event) {
            event = window.event || event;
            if (event.wheelDelta <= 0 || event.detail > 0) {
                Scroll.scrollTop = Scroll.scrollTop + 29;
            } else {
                Scroll.scrollTop = Scroll.scrollTop - 29;
            }
        }, false);

        // Firefox 3.5+
        addEvent(Scroll, 'DOMMouseScroll', function (event) {
            event = window.event || event;
            if (event.wheelDelta <= 0 || event.detail > 0) {
                Scroll.scrollTop = Scroll.scrollTop + 29;
            } else {
                Scroll.scrollTop = Scroll.scrollTop - 29;
            }
        }, false);

    })();
    function menuScroll(num) {
        var Scroll = document.getElementById('Scroll');
        if (num == 1) {
            Scroll.scrollTop = Scroll.scrollTop - 60;
        } else {
            Scroll.scrollTop = Scroll.scrollTop + 60;
        }
    }
</script>
</body>


</html>
